NX Open C++ Reference Guide
|
Public Member Functions | |
NXOpen::Expression * | EndOffset () |
Returns the End Offset. | |
NXOpen::GeometricUtilities::Type | Option () |
Returns the Offset option. | |
void | SetEndOffset (const NXString &valueExpression) |
The End Offset. | |
void | SetEndOffset (const char *valueExpression) |
The End Offset. | |
void | SetOption (NXOpen::GeometricUtilities::Type offsetType) |
Sets the Offset option. | |
void | SetStartOffset (const NXString &valueExpression) |
The Start Offset. | |
void | SetStartOffset (const char *valueExpression) |
The Start Offset. | |
NXOpen::Expression * | StartOffset () |
Returns the Start Offset. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Offset .
Created in NX3.0.1.
NXOpen::Expression* NXOpen::GeometricUtilities::FeatureOffset::EndOffset | ( | ) |
Returns the End Offset.
Created in NX3.0.1.
License requirements : None
NXOpen::GeometricUtilities::Type NXOpen::GeometricUtilities::FeatureOffset::Option | ( | ) |
Returns the Offset option.
Created in NX5.0.0.
License requirements : None
void NXOpen::GeometricUtilities::FeatureOffset::SetEndOffset | ( | const NXString & | valueExpression | ) |
The End Offset.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
valueExpression | value of end offset expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::FeatureOffset::SetEndOffset | ( | const char * | valueExpression | ) |
The End Offset.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
valueExpression | value of end offset expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::FeatureOffset::SetOption | ( | NXOpen::GeometricUtilities::Type | offsetType | ) |
Sets the Offset option.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offsetType | offset type |
void NXOpen::GeometricUtilities::FeatureOffset::SetStartOffset | ( | const NXString & | valueExpression | ) |
The Start Offset.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
valueExpression | value of start offset expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::FeatureOffset::SetStartOffset | ( | const char * | valueExpression | ) |
The Start Offset.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
valueExpression | value of start offset expression NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Expression* NXOpen::GeometricUtilities::FeatureOffset::StartOffset | ( | ) |
Returns the Start Offset.
Created in NX3.0.1.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.